/* PolkitDialog.c generated by valac 0.36.3, the Vala compiler
 * generated from PolkitDialog.vala, do not modify */

/*-
 * Copyright (c) 2015-2016 elementary LLC.
 * Copyright (C) 2015-2016 Ikey Doherty <ikey@solus-project.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Adam Bieńkowski <donadigos159@gmail.com>
 */
/*
 * Code based on budgie-desktop:
 * https://github.com/solus-project/budgie-desktop
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <polkitagent/polkitagent.h>
#include <polkit/polkit.h>
#include <gio/gio.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gi18n-lib.h>
#include <float.h>
#include <math.h>
#include <gdk/gdk.h>
#include <pwd.h>
#include <sys/types.h>
#include <grp.h>


#define AG_WIDGETS_TYPE_POLKIT_DIALOG (ag_widgets_polkit_dialog_get_type ())
#define AG_WIDGETS_POLKIT_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), AG_WIDGETS_TYPE_POLKIT_DIALOG, AgWidgetsPolkitDialog))
#define AG_WIDGETS_POLKIT_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), AG_WIDGETS_TYPE_POLKIT_DIALOG, AgWidgetsPolkitDialogClass))
#define AG_WIDGETS_IS_POLKIT_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), AG_WIDGETS_TYPE_POLKIT_DIALOG))
#define AG_WIDGETS_IS_POLKIT_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), AG_WIDGETS_TYPE_POLKIT_DIALOG))
#define AG_WIDGETS_POLKIT_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), AG_WIDGETS_TYPE_POLKIT_DIALOG, AgWidgetsPolkitDialogClass))

typedef struct _AgWidgetsPolkitDialog AgWidgetsPolkitDialog;
typedef struct _AgWidgetsPolkitDialogClass AgWidgetsPolkitDialogClass;
typedef struct _AgWidgetsPolkitDialogPrivate AgWidgetsPolkitDialogPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
enum  {
	AG_WIDGETS_POLKIT_DIALOG_DONE_SIGNAL,
	AG_WIDGETS_POLKIT_DIALOG_LAST_SIGNAL
};
static guint ag_widgets_polkit_dialog_signals[AG_WIDGETS_POLKIT_DIALOG_LAST_SIGNAL] = {0};

struct _AgWidgetsPolkitDialog {
	GtkDialog parent_instance;
	AgWidgetsPolkitDialogPrivate * priv;
};

struct _AgWidgetsPolkitDialogClass {
	GtkDialogClass parent_class;
};

struct _AgWidgetsPolkitDialogPrivate {
	PolkitAgentSession* pk_session;
	PolkitIdentity* pk_identity;
	GCancellable* cancellable;
	gulong error_signal_id;
	gulong request_signal_id;
	gulong info_signal_id;
	gulong complete_signal_id;
	GList* idents;
	gchar* cookie;
	gboolean canceling;
	GtkRevealer* feedback_revealer;
	GtkLabel* password_label;
	GtkLabel* password_feedback;
	GtkEntry* password_entry;
	GtkLabel* identity_label;
	GtkComboBox* idents_combo;
};


static gpointer ag_widgets_polkit_dialog_parent_class = NULL;

GType ag_widgets_polkit_dialog_get_type (void) G_GNUC_CONST;
#define AG_WIDGETS_POLKIT_DIALOG_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), AG_WIDGETS_TYPE_POLKIT_DIALOG, AgWidgetsPolkitDialogPrivate))
enum  {
	AG_WIDGETS_POLKIT_DIALOG_DUMMY_PROPERTY
};
AgWidgetsPolkitDialog* ag_widgets_polkit_dialog_new (const gchar* message, const gchar* icon_name, const gchar* _cookie, GList* _idents, GCancellable* _cancellable);
AgWidgetsPolkitDialog* ag_widgets_polkit_dialog_construct (GType object_type, const gchar* message, const gchar* icon_name, const gchar* _cookie, GList* _idents, GCancellable* _cancellable);
static void ag_widgets_polkit_dialog_on_ident_changed (AgWidgetsPolkitDialog* self);
static void _ag_widgets_polkit_dialog_on_ident_changed_gtk_combo_box_changed (GtkComboBox* _sender, gpointer self);
static void __lambda5_ (AgWidgetsPolkitDialog* self);
static void ag_widgets_polkit_dialog_cancel (AgWidgetsPolkitDialog* self);
static void ___lambda5__gtk_button_clicked (GtkButton* _sender, gpointer self);
static void ag_widgets_polkit_dialog_authenticate (AgWidgetsPolkitDialog* self);
static void _ag_widgets_polkit_dialog_authenticate_gtk_button_clicked (GtkButton* _sender, gpointer self);
static gboolean ag_widgets_polkit_dialog_on_key_release (AgWidgetsPolkitDialog* self, GdkEventKey* key);
static gboolean _ag_widgets_polkit_dialog_on_key_release_gtk_widget_key_release_event (GtkWidget* _sender, GdkEventKey* event, gpointer self);
static void _ag_widgets_polkit_dialog_cancel_gtk_dialog_close (GtkDialog* _sender, gpointer self);
static void ag_widgets_polkit_dialog_update_idents (AgWidgetsPolkitDialog* self);
static void ag_widgets_polkit_dialog_select_session (AgWidgetsPolkitDialog* self);
static void ag_widgets_polkit_dialog_real_show (GtkWidget* base);
static void ag_widgets_polkit_dialog_deselect_session (AgWidgetsPolkitDialog* self);
static void ag_widgets_polkit_dialog_on_pk_show_error (AgWidgetsPolkitDialog* self, const gchar* text);
static void _ag_widgets_polkit_dialog_on_pk_show_error_polkit_agent_session_show_error (PolkitAgentSession* _sender, const gchar* text, gpointer self);
static void ag_widgets_polkit_dialog_on_pk_session_completed (AgWidgetsPolkitDialog* self, gboolean authorized);
static void _ag_widgets_polkit_dialog_on_pk_session_completed_polkit_agent_session_completed (PolkitAgentSession* _sender, gboolean gained_authorization, gpointer self);
static void ag_widgets_polkit_dialog_on_pk_request (AgWidgetsPolkitDialog* self, const gchar* request, gboolean echo_on);
static void _ag_widgets_polkit_dialog_on_pk_request_polkit_agent_session_request (PolkitAgentSession* _sender, const gchar* request, gboolean echo_on, gpointer self);
static void ag_widgets_polkit_dialog_on_pk_show_info (AgWidgetsPolkitDialog* self, const gchar* text);
static void _ag_widgets_polkit_dialog_on_pk_show_info_polkit_agent_session_show_info (PolkitAgentSession* _sender, const gchar* text, gpointer self);
static void ag_widgets_polkit_dialog_shake (AgWidgetsPolkitDialog* self);
static void ag_widgets_polkit_dialog_finalize (GObject * obj);


static void _ag_widgets_polkit_dialog_on_ident_changed_gtk_combo_box_changed (GtkComboBox* _sender, gpointer self) {
#line 84 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	ag_widgets_polkit_dialog_on_ident_changed ((AgWidgetsPolkitDialog*) self);
#line 131 "PolkitDialog.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 120 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	return self ? g_object_ref (self) : NULL;
#line 138 "PolkitDialog.c"
}


static void __lambda5_ (AgWidgetsPolkitDialog* self) {
#line 121 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	ag_widgets_polkit_dialog_cancel (self);
#line 145 "PolkitDialog.c"
}


static void ___lambda5__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 121 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	__lambda5_ ((AgWidgetsPolkitDialog*) self);
#line 152 "PolkitDialog.c"
}


static void _ag_widgets_polkit_dialog_authenticate_gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 125 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	ag_widgets_polkit_dialog_authenticate ((AgWidgetsPolkitDialog*) self);
#line 159 "PolkitDialog.c"
}


static gboolean _ag_widgets_polkit_dialog_on_key_release_gtk_widget_key_release_event (GtkWidget* _sender, GdkEventKey* event, gpointer self) {
	gboolean result;
	result = ag_widgets_polkit_dialog_on_key_release ((AgWidgetsPolkitDialog*) self, event);
#line 136 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	return result;
#line 168 "PolkitDialog.c"
}


static void _ag_widgets_polkit_dialog_cancel_gtk_dialog_close (GtkDialog* _sender, gpointer self) {
#line 137 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	ag_widgets_polkit_dialog_cancel ((AgWidgetsPolkitDialog*) self);
#line 175 "PolkitDialog.c"
}


AgWidgetsPolkitDialog* ag_widgets_polkit_dialog_construct (GType object_type, const gchar* message, const gchar* icon_name, const gchar* _cookie, GList* _idents, GCancellable* _cancellable) {
	AgWidgetsPolkitDialog * self = NULL;
	GList* _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_;
	GCancellable* _tmp3_;
	GtkLabel* heading = NULL;
	GtkLabel* _tmp4_;
	GtkLabel* _tmp5_;
	GtkStyleContext* _tmp6_;
	GtkLabel* _tmp7_;
	GtkLabel* _tmp8_;
	GtkLabel* message_label = NULL;
	const gchar* _tmp9_;
	GtkLabel* _tmp10_;
	GtkLabel* _tmp11_;
	GtkLabel* _tmp12_;
	GtkLabel* _tmp13_;
	GtkLabel* _tmp14_;
	GtkEntry* _tmp15_;
	GtkEntry* _tmp16_;
	GtkEntry* _tmp17_;
	GtkEntry* _tmp18_;
	GtkLabel* _tmp19_;
	GtkLabel* _tmp20_;
	GtkLabel* _tmp21_;
	GtkStyleContext* _tmp22_;
	GtkRevealer* _tmp23_;
	GtkRevealer* _tmp24_;
	GtkLabel* _tmp25_;
	GtkComboBox* _tmp26_;
	GtkComboBox* _tmp27_;
	GtkComboBox* _tmp28_;
	GtkCellRendererText* render = NULL;
	GtkCellRendererText* _tmp29_;
	GtkComboBox* _tmp30_;
	GtkCellRendererText* _tmp31_;
	GtkComboBox* _tmp32_;
	GtkCellRendererText* _tmp33_;
	GtkComboBox* _tmp34_;
	GtkGrid* credentials_grid = NULL;
	GtkGrid* _tmp35_;
	GtkGrid* _tmp36_;
	GtkGrid* _tmp37_;
	GtkGrid* _tmp38_;
	GtkGrid* _tmp39_;
	GtkComboBox* _tmp40_;
	GtkGrid* _tmp41_;
	GtkEntry* _tmp42_;
	GtkGrid* _tmp43_;
	GtkRevealer* _tmp44_;
	GtkImage* image = NULL;
	GtkImage* _tmp45_;
	GtkOverlay* overlay = NULL;
	GtkOverlay* _tmp46_;
	GtkOverlay* _tmp47_;
	GtkOverlay* _tmp48_;
	GtkImage* _tmp49_;
	gboolean _tmp50_ = FALSE;
	const gchar* _tmp51_;
	GtkGrid* grid = NULL;
	GtkGrid* _tmp61_;
	GtkOverlay* _tmp62_;
	GtkLabel* _tmp63_;
	GtkLabel* _tmp64_;
	GtkGrid* _tmp65_;
	GtkButton* cancel_button = NULL;
	GtkWidget* _tmp66_;
	GtkButton* _tmp67_;
	GtkButton* authenticate_button = NULL;
	GtkWidget* _tmp68_;
	GtkButton* _tmp69_;
	GtkStyleContext* _tmp70_;
	GtkBox* _tmp71_;
	GtkWidget* action_area = NULL;
	GtkWidget* _tmp72_;
	GtkWidget* _tmp73_;
#line 50 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_return_val_if_fail (message != NULL, NULL);
#line 50 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_return_val_if_fail (icon_name != NULL, NULL);
#line 50 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_return_val_if_fail (_cookie != NULL, NULL);
#line 50 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_return_val_if_fail (_cancellable != NULL, NULL);
#line 52 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	self = (AgWidgetsPolkitDialog*) g_object_new (object_type, "title", _ ("Authentication Dialog"), "window-position", GTK_WIN_POS_CENTER, "resizable", FALSE, "deletable", FALSE, "skip-taskbar-hint", TRUE, NULL);
#line 53 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp0_ = _idents;
#line 53 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	self->priv->idents = _tmp0_;
#line 54 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp1_ = _cookie;
#line 54 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp2_ = g_strdup (_tmp1_);
#line 54 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_g_free0 (self->priv->cookie);
#line 54 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	self->priv->cookie = _tmp2_;
#line 55 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp3_ = _cancellable;
#line 55 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	self->priv->cancellable = _tmp3_;
#line 57 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_window_set_keep_above ((GtkWindow*) self, TRUE);
#line 59 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp4_ = (GtkLabel*) gtk_label_new (_ ("Authentication Required"));
#line 59 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_object_ref_sink (_tmp4_);
#line 59 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	heading = _tmp4_;
#line 60 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp5_ = heading;
#line 60 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp6_ = gtk_widget_get_style_context ((GtkWidget*) _tmp5_);
#line 60 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_style_context_add_class (_tmp6_, "primary");
#line 61 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp7_ = heading;
#line 61 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp7_, GTK_ALIGN_END);
#line 62 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp8_ = heading;
#line 62 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_label_set_xalign (_tmp8_, (gfloat) 0);
#line 64 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp9_ = message;
#line 64 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp10_ = (GtkLabel*) gtk_label_new (_tmp9_);
#line 64 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_object_ref_sink (_tmp10_);
#line 64 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	message_label = _tmp10_;
#line 65 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp11_ = message_label;
#line 65 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_label_set_max_width_chars (_tmp11_, 60);
#line 66 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp12_ = message_label;
#line 66 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_object_set (_tmp12_, "wrap", TRUE, NULL);
#line 67 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp13_ = message_label;
#line 67 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp13_, GTK_ALIGN_START);
#line 68 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp14_ = message_label;
#line 68 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_label_set_xalign (_tmp14_, (gfloat) 0);
#line 70 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp15_ = (GtkEntry*) gtk_entry_new ();
#line 70 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_object_ref_sink (_tmp15_);
#line 70 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_g_object_unref0 (self->priv->password_entry);
#line 70 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	self->priv->password_entry = _tmp15_;
#line 71 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp16_ = self->priv->password_entry;
#line 71 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp16_, TRUE);
#line 72 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp17_ = self->priv->password_entry;
#line 72 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_object_set (_tmp17_, "primary-icon-name", "dialog-password-symbolic", NULL);
#line 73 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp18_ = self->priv->password_entry;
#line 73 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_object_set (_tmp18_, "primary-icon-tooltip-text", _ ("Password"), NULL);
#line 75 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp19_ = (GtkLabel*) gtk_label_new (NULL);
#line 75 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_object_ref_sink (_tmp19_);
#line 75 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_g_object_unref0 (self->priv->password_feedback);
#line 75 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	self->priv->password_feedback = _tmp19_;
#line 76 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp20_ = self->priv->password_feedback;
#line 76 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp20_, GTK_ALIGN_END);
#line 77 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp21_ = self->priv->password_feedback;
#line 77 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp22_ = gtk_widget_get_style_context ((GtkWidget*) _tmp21_);
#line 77 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_style_context_add_class (_tmp22_, GTK_STYLE_CLASS_ERROR);
#line 79 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp23_ = (GtkRevealer*) gtk_revealer_new ();
#line 79 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_object_ref_sink (_tmp23_);
#line 79 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_g_object_unref0 (self->priv->feedback_revealer);
#line 79 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	self->priv->feedback_revealer = _tmp23_;
#line 80 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp24_ = self->priv->feedback_revealer;
#line 80 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp25_ = self->priv->password_feedback;
#line 80 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp24_, (GtkWidget*) _tmp25_);
#line 82 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp26_ = (GtkComboBox*) gtk_combo_box_new ();
#line 82 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_object_ref_sink (_tmp26_);
#line 82 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_g_object_unref0 (self->priv->idents_combo);
#line 82 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	self->priv->idents_combo = _tmp26_;
#line 83 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp27_ = self->priv->idents_combo;
#line 83 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp27_, TRUE);
#line 84 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp28_ = self->priv->idents_combo;
#line 84 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_signal_connect_object (_tmp28_, "changed", (GCallback) _ag_widgets_polkit_dialog_on_ident_changed_gtk_combo_box_changed, self, 0);
#line 86 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp29_ = (GtkCellRendererText*) gtk_cell_renderer_text_new ();
#line 86 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_object_ref_sink (_tmp29_);
#line 86 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	render = _tmp29_;
#line 87 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp30_ = self->priv->idents_combo;
#line 87 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp31_ = render;
#line 87 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_cell_layout_pack_start ((GtkCellLayout*) _tmp30_, (GtkCellRenderer*) _tmp31_, TRUE);
#line 88 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp32_ = self->priv->idents_combo;
#line 88 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp33_ = render;
#line 88 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_cell_layout_add_attribute ((GtkCellLayout*) _tmp32_, (GtkCellRenderer*) _tmp33_, "text", 0);
#line 89 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp34_ = self->priv->idents_combo;
#line 89 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_combo_box_set_id_column (_tmp34_, 0);
#line 91 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp35_ = (GtkGrid*) gtk_grid_new ();
#line 91 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_object_ref_sink (_tmp35_);
#line 91 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	credentials_grid = _tmp35_;
#line 92 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp36_ = credentials_grid;
#line 92 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_grid_set_column_spacing (_tmp36_, 12);
#line 93 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp37_ = credentials_grid;
#line 93 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_grid_set_row_spacing (_tmp37_, 6);
#line 94 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp38_ = credentials_grid;
#line 94 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_widget_set_margin_top ((GtkWidget*) _tmp38_, 12);
#line 95 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp39_ = credentials_grid;
#line 95 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp40_ = self->priv->idents_combo;
#line 95 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_grid_attach (_tmp39_, (GtkWidget*) _tmp40_, 0, 0, 1, 1);
#line 96 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp41_ = credentials_grid;
#line 96 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp42_ = self->priv->password_entry;
#line 96 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_grid_attach (_tmp41_, (GtkWidget*) _tmp42_, 0, 2, 1, 1);
#line 97 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp43_ = credentials_grid;
#line 97 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp44_ = self->priv->feedback_revealer;
#line 97 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_grid_attach (_tmp43_, (GtkWidget*) _tmp44_, 0, 3, 1, 1);
#line 99 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp45_ = (GtkImage*) gtk_image_new_from_icon_name ("dialog-password", GTK_ICON_SIZE_DIALOG);
#line 99 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_object_ref_sink (_tmp45_);
#line 99 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	image = _tmp45_;
#line 101 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp46_ = (GtkOverlay*) gtk_overlay_new ();
#line 101 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_object_ref_sink (_tmp46_);
#line 101 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	overlay = _tmp46_;
#line 102 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp47_ = overlay;
#line 102 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp47_, GTK_ALIGN_START);
#line 103 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp48_ = overlay;
#line 103 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp49_ = image;
#line 103 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp48_, (GtkWidget*) _tmp49_);
#line 105 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp51_ = icon_name;
#line 105 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	if (g_strcmp0 (_tmp51_, "") != 0) {
#line 480 "PolkitDialog.c"
		GtkIconTheme* _tmp52_;
		const gchar* _tmp53_;
		gboolean _tmp54_;
#line 105 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp52_ = gtk_icon_theme_get_default ();
#line 105 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp53_ = icon_name;
#line 105 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp54_ = gtk_icon_theme_has_icon (_tmp52_, _tmp53_);
#line 105 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp50_ = _tmp54_;
#line 492 "PolkitDialog.c"
	} else {
#line 105 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp50_ = FALSE;
#line 496 "PolkitDialog.c"
	}
#line 105 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	if (_tmp50_) {
#line 500 "PolkitDialog.c"
		GtkImage* overlay_image = NULL;
		const gchar* _tmp55_;
		GtkImage* _tmp56_;
		GtkImage* _tmp57_;
		GtkImage* _tmp58_;
		GtkOverlay* _tmp59_;
		GtkImage* _tmp60_;
#line 106 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp55_ = icon_name;
#line 106 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp56_ = (GtkImage*) gtk_image_new_from_icon_name (_tmp55_, GTK_ICON_SIZE_LARGE_TOOLBAR);
#line 106 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		g_object_ref_sink (_tmp56_);
#line 106 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		overlay_image = _tmp56_;
#line 107 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp57_ = overlay_image;
#line 107 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp58_ = overlay_image;
#line 107 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		gtk_widget_set_valign ((GtkWidget*) _tmp58_, GTK_ALIGN_END);
#line 107 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		gtk_widget_set_halign ((GtkWidget*) _tmp57_, GTK_ALIGN_END);
#line 108 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp59_ = overlay;
#line 108 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp60_ = overlay_image;
#line 108 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		gtk_overlay_add_overlay (_tmp59_, (GtkWidget*) _tmp60_);
#line 105 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_g_object_unref0 (overlay_image);
#line 532 "PolkitDialog.c"
	}
#line 111 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp61_ = (GtkGrid*) gtk_grid_new ();
#line 111 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_object_ref_sink (_tmp61_);
#line 111 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	grid = _tmp61_;
#line 112 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_grid_set_column_spacing (grid, 12);
#line 113 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_grid_set_row_spacing (grid, 6);
#line 114 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_widget_set_margin_right ((GtkWidget*) grid, 12);
#line 114 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_widget_set_margin_left ((GtkWidget*) grid, 12);
#line 115 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp62_ = overlay;
#line 115 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_grid_attach (grid, (GtkWidget*) _tmp62_, 0, 0, 1, 2);
#line 116 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp63_ = heading;
#line 116 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_grid_attach (grid, (GtkWidget*) _tmp63_, 1, 0, 1, 1);
#line 117 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp64_ = message_label;
#line 117 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_grid_attach (grid, (GtkWidget*) _tmp64_, 1, 1, 1, 1);
#line 118 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp65_ = credentials_grid;
#line 118 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_grid_attach (grid, (GtkWidget*) _tmp65_, 1, 2, 1, 1);
#line 120 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp66_ = gtk_dialog_add_button ((GtkDialog*) self, _ ("Cancel"), (gint) GTK_RESPONSE_CANCEL);
#line 120 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp67_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp66_, gtk_button_get_type (), GtkButton));
#line 120 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	cancel_button = _tmp67_;
#line 121 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_signal_connect_object (cancel_button, "clicked", (GCallback) ___lambda5__gtk_button_clicked, self, 0);
#line 123 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp68_ = gtk_dialog_add_button ((GtkDialog*) self, _ ("Authenticate"), (gint) GTK_RESPONSE_APPLY);
#line 123 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp69_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_CAST (_tmp68_, gtk_button_get_type (), GtkButton));
#line 123 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	authenticate_button = _tmp69_;
#line 124 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp70_ = gtk_widget_get_style_context ((GtkWidget*) authenticate_button);
#line 124 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_style_context_add_class (_tmp70_, "suggested-action");
#line 125 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_signal_connect_object (authenticate_button, "clicked", (GCallback) _ag_widgets_polkit_dialog_authenticate_gtk_button_clicked, self, 0);
#line 127 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_window_set_default ((GtkWindow*) self, (GtkWidget*) authenticate_button);
#line 129 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp71_ = (GtkBox*) gtk_dialog_get_content_area ((GtkDialog*) self);
#line 129 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp71_, (GtkWidget*) grid);
#line 131 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp72_ = gtk_dialog_get_action_area ((GtkDialog*) self);
#line 131 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp73_ = _g_object_ref0 (_tmp72_);
#line 131 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	action_area = _tmp73_;
#line 132 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_widget_set_margin_right (action_area, 6);
#line 133 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_widget_set_margin_bottom (action_area, 6);
#line 134 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_widget_set_margin_top (action_area, 14);
#line 136 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_signal_connect_object ((GtkWidget*) self, "key-release-event", (GCallback) _ag_widgets_polkit_dialog_on_key_release_gtk_widget_key_release_event, self, 0);
#line 137 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_signal_connect_object ((GtkDialog*) self, "close", (GCallback) _ag_widgets_polkit_dialog_cancel_gtk_dialog_close, self, 0);
#line 139 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	ag_widgets_polkit_dialog_update_idents (self);
#line 140 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	ag_widgets_polkit_dialog_select_session (self);
#line 50 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_g_object_unref0 (action_area);
#line 50 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_g_object_unref0 (authenticate_button);
#line 50 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_g_object_unref0 (cancel_button);
#line 50 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_g_object_unref0 (grid);
#line 50 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_g_object_unref0 (overlay);
#line 50 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_g_object_unref0 (image);
#line 50 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_g_object_unref0 (credentials_grid);
#line 50 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_g_object_unref0 (render);
#line 50 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_g_object_unref0 (message_label);
#line 50 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_g_object_unref0 (heading);
#line 50 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	return self;
#line 632 "PolkitDialog.c"
}


AgWidgetsPolkitDialog* ag_widgets_polkit_dialog_new (const gchar* message, const gchar* icon_name, const gchar* _cookie, GList* _idents, GCancellable* _cancellable) {
#line 50 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	return ag_widgets_polkit_dialog_construct (AG_WIDGETS_TYPE_POLKIT_DIALOG, message, icon_name, _cookie, _idents, _cancellable);
#line 639 "PolkitDialog.c"
}


static void ag_widgets_polkit_dialog_real_show (GtkWidget* base) {
	AgWidgetsPolkitDialog * self;
	GdkWindow* window = NULL;
	GdkWindow* _tmp0_;
	GdkWindow* _tmp1_;
	GdkWindow* _tmp2_;
	GdkWindow* _tmp3_;
	GtkEntry* _tmp4_;
#line 143 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	self = (AgWidgetsPolkitDialog*) base;
#line 144 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	GTK_WIDGET_CLASS (ag_widgets_polkit_dialog_parent_class)->show ((GtkWidget*) G_TYPE_CHECK_INSTANCE_CAST (self, gtk_dialog_get_type (), GtkDialog));
#line 146 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp0_ = gtk_widget_get_window ((GtkWidget*) self);
#line 146 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 146 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	window = _tmp1_;
#line 147 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp2_ = window;
#line 147 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	if (_tmp2_ == NULL) {
#line 148 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_g_object_unref0 (window);
#line 148 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		return;
#line 669 "PolkitDialog.c"
	}
#line 151 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp3_ = window;
#line 151 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gdk_window_focus (_tmp3_, (guint32) GDK_CURRENT_TIME);
#line 152 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp4_ = self->priv->password_entry;
#line 152 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_widget_grab_focus ((GtkWidget*) _tmp4_);
#line 143 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_g_object_unref0 (window);
#line 681 "PolkitDialog.c"
}


static void ag_widgets_polkit_dialog_update_idents (AgWidgetsPolkitDialog* self) {
	GtkListStore* model = NULL;
	GtkListStore* _tmp0_;
	GtkTreeIter iter = {0};
	gint length = 0;
	GList* _tmp1_;
	GtkComboBox* _tmp28_;
	GtkListStore* _tmp29_;
	GtkComboBox* _tmp30_;
	gint _tmp31_;
#line 155 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_return_if_fail (self != NULL);
#line 156 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp0_ = gtk_list_store_new (2, G_TYPE_STRING, polkit_identity_get_type (), -1);
#line 156 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	model = _tmp0_;
#line 159 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	length = 0;
#line 161 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp1_ = self->priv->idents;
#line 705 "PolkitDialog.c"
	{
		GList* ident_collection = NULL;
		GList* ident_it = NULL;
#line 161 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		ident_collection = _tmp1_;
#line 161 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		for (ident_it = ident_collection; ident_it != NULL; ident_it = ident_it->next) {
#line 713 "PolkitDialog.c"
			PolkitIdentity* ident = NULL;
#line 161 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
			ident = (PolkitIdentity*) ident_it->data;
#line 717 "PolkitDialog.c"
			{
				PolkitIdentity* _tmp2_;
				gchar* name = NULL;
				PolkitIdentity* _tmp3_;
				gchar* _tmp4_;
				PolkitIdentity* _tmp5_;
				GtkListStore* _tmp21_;
				GtkTreeIter _tmp22_ = {0};
				GtkListStore* _tmp23_;
				GtkTreeIter _tmp24_;
				const gchar* _tmp25_;
				PolkitIdentity* _tmp26_;
				gint _tmp27_;
#line 162 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
				_tmp2_ = ident;
#line 162 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
				if (_tmp2_ == NULL) {
#line 163 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
					continue;
#line 737 "PolkitDialog.c"
				}
#line 166 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
				_tmp3_ = ident;
#line 166 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
				_tmp4_ = polkit_identity_to_string (_tmp3_);
#line 166 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
				name = _tmp4_;
#line 168 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
				_tmp5_ = ident;
#line 168 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
				if (G_TYPE_CHECK_INSTANCE_TYPE (_tmp5_, polkit_unix_user_get_type ())) {
#line 749 "PolkitDialog.c"
					struct passwd* pwd = NULL;
					PolkitIdentity* _tmp6_;
					gint _tmp7_;
					struct passwd* _tmp8_;
					struct passwd* _tmp9_;
#line 169 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
					_tmp6_ = ident;
#line 169 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
					_tmp7_ = polkit_unix_user_get_uid (G_TYPE_CHECK_INSTANCE_CAST (_tmp6_, polkit_unix_user_get_type (), PolkitUnixUser));
#line 169 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
					_tmp8_ = getpwuid ((uid_t) _tmp7_);
#line 169 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
					pwd = _tmp8_;
#line 170 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
					_tmp9_ = pwd;
#line 170 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
					if (_tmp9_ != NULL) {
#line 767 "PolkitDialog.c"
						struct passwd* _tmp10_;
						const gchar* _tmp11_;
						gchar* _tmp12_;
#line 171 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
						_tmp10_ = pwd;
#line 171 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
						_tmp11_ = _tmp10_->pw_name;
#line 171 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
						_tmp12_ = g_strdup (_tmp11_);
#line 171 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
						_g_free0 (name);
#line 171 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
						name = _tmp12_;
#line 781 "PolkitDialog.c"
					}
				} else {
					PolkitIdentity* _tmp13_;
#line 173 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
					_tmp13_ = ident;
#line 173 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
					if (G_TYPE_CHECK_INSTANCE_TYPE (_tmp13_, polkit_unix_group_get_type ())) {
#line 789 "PolkitDialog.c"
						struct group* gwd = NULL;
						PolkitIdentity* _tmp14_;
						gint _tmp15_;
						struct group* _tmp16_;
						struct group* _tmp17_;
#line 174 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
						_tmp14_ = ident;
#line 174 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
						_tmp15_ = polkit_unix_group_get_gid (G_TYPE_CHECK_INSTANCE_CAST (_tmp14_, polkit_unix_group_get_type (), PolkitUnixGroup));
#line 174 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
						_tmp16_ = getgrgid ((gid_t) _tmp15_);
#line 174 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
						gwd = _tmp16_;
#line 175 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
						_tmp17_ = gwd;
#line 175 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
						if (_tmp17_ != NULL) {
#line 807 "PolkitDialog.c"
							struct group* _tmp18_;
							const gchar* _tmp19_;
							gchar* _tmp20_;
#line 176 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
							_tmp18_ = gwd;
#line 176 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
							_tmp19_ = _tmp18_->gr_name;
#line 176 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
							_tmp20_ = g_strdup_printf (_ ("Group: %s"), _tmp19_);
#line 176 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
							_g_free0 (name);
#line 176 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
							name = _tmp20_;
#line 821 "PolkitDialog.c"
						}
					}
				}
#line 180 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
				_tmp21_ = model;
#line 180 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
				gtk_list_store_append (_tmp21_, &_tmp22_);
#line 180 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
				iter = _tmp22_;
#line 181 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
				_tmp23_ = model;
#line 181 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
				_tmp24_ = iter;
#line 181 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
				_tmp25_ = name;
#line 181 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
				_tmp26_ = ident;
#line 181 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
				gtk_list_store_set (_tmp23_, &_tmp24_, 0, _tmp25_, 1, _tmp26_, -1);
#line 182 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
				_tmp27_ = length;
#line 182 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
				length = _tmp27_ + 1;
#line 161 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
				_g_free0 (name);
#line 847 "PolkitDialog.c"
			}
		}
	}
#line 185 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp28_ = self->priv->idents_combo;
#line 185 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp29_ = model;
#line 185 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_combo_box_set_model (_tmp28_, (GtkTreeModel*) _tmp29_);
#line 186 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp30_ = self->priv->idents_combo;
#line 186 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_combo_box_set_active (_tmp30_, 0);
#line 188 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp31_ = length;
#line 188 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	if (_tmp31_ < 2) {
#line 865 "PolkitDialog.c"
		GtkLabel* _tmp32_;
		GtkLabel* _tmp33_;
		GtkComboBox* _tmp34_;
		GtkComboBox* _tmp35_;
#line 189 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp32_ = self->priv->identity_label;
#line 189 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		gtk_widget_set_no_show_all ((GtkWidget*) _tmp32_, TRUE);
#line 190 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp33_ = self->priv->identity_label;
#line 190 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		gtk_widget_set_visible ((GtkWidget*) _tmp33_, FALSE);
#line 192 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp34_ = self->priv->idents_combo;
#line 192 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		gtk_widget_set_no_show_all ((GtkWidget*) _tmp34_, TRUE);
#line 193 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp35_ = self->priv->idents_combo;
#line 193 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		gtk_widget_set_visible ((GtkWidget*) _tmp35_, FALSE);
#line 886 "PolkitDialog.c"
	}
#line 155 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_g_object_unref0 (model);
#line 890 "PolkitDialog.c"
}


static void _ag_widgets_polkit_dialog_on_pk_show_error_polkit_agent_session_show_error (PolkitAgentSession* _sender, const gchar* text, gpointer self) {
#line 203 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	ag_widgets_polkit_dialog_on_pk_show_error ((AgWidgetsPolkitDialog*) self, text);
#line 897 "PolkitDialog.c"
}


static void _ag_widgets_polkit_dialog_on_pk_session_completed_polkit_agent_session_completed (PolkitAgentSession* _sender, gboolean gained_authorization, gpointer self) {
#line 204 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	ag_widgets_polkit_dialog_on_pk_session_completed ((AgWidgetsPolkitDialog*) self, gained_authorization);
#line 904 "PolkitDialog.c"
}


static void _ag_widgets_polkit_dialog_on_pk_request_polkit_agent_session_request (PolkitAgentSession* _sender, const gchar* request, gboolean echo_on, gpointer self) {
#line 205 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	ag_widgets_polkit_dialog_on_pk_request ((AgWidgetsPolkitDialog*) self, request, echo_on);
#line 911 "PolkitDialog.c"
}


static void _ag_widgets_polkit_dialog_on_pk_show_info_polkit_agent_session_show_info (PolkitAgentSession* _sender, const gchar* text, gpointer self) {
#line 206 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	ag_widgets_polkit_dialog_on_pk_show_info ((AgWidgetsPolkitDialog*) self, text);
#line 918 "PolkitDialog.c"
}


static void ag_widgets_polkit_dialog_select_session (AgWidgetsPolkitDialog* self) {
	PolkitAgentSession* _tmp0_;
	PolkitIdentity* _tmp1_;
	const gchar* _tmp2_;
	PolkitAgentSession* _tmp3_;
	PolkitAgentSession* _tmp4_;
	gulong _tmp5_;
	PolkitAgentSession* _tmp6_;
	gulong _tmp7_;
	PolkitAgentSession* _tmp8_;
	gulong _tmp9_;
	PolkitAgentSession* _tmp10_;
	gulong _tmp11_;
	PolkitAgentSession* _tmp12_;
#line 197 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_return_if_fail (self != NULL);
#line 198 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp0_ = self->priv->pk_session;
#line 198 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	if (_tmp0_ != NULL) {
#line 199 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		ag_widgets_polkit_dialog_deselect_session (self);
#line 944 "PolkitDialog.c"
	}
#line 202 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp1_ = self->priv->pk_identity;
#line 202 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp2_ = self->priv->cookie;
#line 202 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp3_ = polkit_agent_session_new (_tmp1_, _tmp2_);
#line 202 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_g_object_unref0 (self->priv->pk_session);
#line 202 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	self->priv->pk_session = _tmp3_;
#line 203 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp4_ = self->priv->pk_session;
#line 203 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp5_ = g_signal_connect_object (_tmp4_, "show-error", (GCallback) _ag_widgets_polkit_dialog_on_pk_show_error_polkit_agent_session_show_error, self, 0);
#line 203 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	self->priv->error_signal_id = _tmp5_;
#line 204 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp6_ = self->priv->pk_session;
#line 204 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp7_ = g_signal_connect_object (_tmp6_, "completed", (GCallback) _ag_widgets_polkit_dialog_on_pk_session_completed_polkit_agent_session_completed, self, 0);
#line 204 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	self->priv->complete_signal_id = _tmp7_;
#line 205 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp8_ = self->priv->pk_session;
#line 205 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp9_ = g_signal_connect_object (_tmp8_, "request", (GCallback) _ag_widgets_polkit_dialog_on_pk_request_polkit_agent_session_request, self, 0);
#line 205 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	self->priv->request_signal_id = _tmp9_;
#line 206 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp10_ = self->priv->pk_session;
#line 206 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp11_ = g_signal_connect_object (_tmp10_, "show-info", (GCallback) _ag_widgets_polkit_dialog_on_pk_show_info_polkit_agent_session_show_info, self, 0);
#line 206 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	self->priv->info_signal_id = _tmp11_;
#line 207 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp12_ = self->priv->pk_session;
#line 207 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	polkit_agent_session_initiate (_tmp12_);
#line 984 "PolkitDialog.c"
}


static void ag_widgets_polkit_dialog_deselect_session (AgWidgetsPolkitDialog* self) {
	PolkitAgentSession* _tmp0_;
#line 210 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_return_if_fail (self != NULL);
#line 211 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp0_ = self->priv->pk_session;
#line 211 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	if (_tmp0_ != NULL) {
#line 996 "PolkitDialog.c"
		PolkitAgentSession* _tmp1_;
		gulong _tmp2_;
		PolkitAgentSession* _tmp3_;
		gulong _tmp4_;
		PolkitAgentSession* _tmp5_;
		gulong _tmp6_;
		PolkitAgentSession* _tmp7_;
		gulong _tmp8_;
#line 212 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp1_ = self->priv->pk_session;
#line 212 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp2_ = self->priv->error_signal_id;
#line 212 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		g_signal_handler_disconnect (_tmp1_, _tmp2_);
#line 213 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp3_ = self->priv->pk_session;
#line 213 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp4_ = self->priv->complete_signal_id;
#line 213 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		g_signal_handler_disconnect (_tmp3_, _tmp4_);
#line 214 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp5_ = self->priv->pk_session;
#line 214 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp6_ = self->priv->request_signal_id;
#line 214 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		g_signal_handler_disconnect (_tmp5_, _tmp6_);
#line 215 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp7_ = self->priv->pk_session;
#line 215 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp8_ = self->priv->info_signal_id;
#line 215 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		g_signal_handler_disconnect (_tmp7_, _tmp8_);
#line 216 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_g_object_unref0 (self->priv->pk_session);
#line 216 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		self->priv->pk_session = NULL;
#line 1033 "PolkitDialog.c"
	}
}


static void ag_widgets_polkit_dialog_authenticate (AgWidgetsPolkitDialog* self) {
	PolkitAgentSession* _tmp0_;
	GtkEntry* _tmp1_;
	GtkRevealer* _tmp2_;
	PolkitAgentSession* _tmp3_;
	GtkEntry* _tmp4_;
	const gchar* _tmp5_;
#line 220 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_return_if_fail (self != NULL);
#line 221 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp0_ = self->priv->pk_session;
#line 221 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	if (_tmp0_ == NULL) {
#line 222 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		ag_widgets_polkit_dialog_select_session (self);
#line 1053 "PolkitDialog.c"
	}
#line 225 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp1_ = self->priv->password_entry;
#line 225 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_object_set (_tmp1_, "secondary-icon-name", "", NULL);
#line 226 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp2_ = self->priv->feedback_revealer;
#line 226 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_revealer_set_reveal_child (_tmp2_, FALSE);
#line 228 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) self, FALSE);
#line 229 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp3_ = self->priv->pk_session;
#line 229 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp4_ = self->priv->password_entry;
#line 229 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp5_ = gtk_entry_get_text (_tmp4_);
#line 229 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	polkit_agent_session_response (_tmp3_, _tmp5_);
#line 1073 "PolkitDialog.c"
}


static void ag_widgets_polkit_dialog_cancel (AgWidgetsPolkitDialog* self) {
	GCancellable* _tmp0_;
	gboolean _tmp1_;
	PolkitAgentSession* _tmp3_;
#line 232 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_return_if_fail (self != NULL);
#line 233 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	self->priv->canceling = TRUE;
#line 234 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp0_ = self->priv->cancellable;
#line 234 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp1_ = g_cancellable_is_cancelled (_tmp0_);
#line 234 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	if (!_tmp1_) {
#line 1091 "PolkitDialog.c"
		GCancellable* _tmp2_;
#line 235 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp2_ = self->priv->cancellable;
#line 235 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		g_cancellable_cancel (_tmp2_);
#line 1097 "PolkitDialog.c"
	}
#line 238 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp3_ = self->priv->pk_session;
#line 238 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	if (_tmp3_ != NULL) {
#line 1103 "PolkitDialog.c"
		PolkitAgentSession* _tmp4_;
#line 239 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp4_ = self->priv->pk_session;
#line 239 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		polkit_agent_session_cancel (_tmp4_);
#line 1109 "PolkitDialog.c"
	}
#line 242 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	self->priv->canceling = FALSE;
#line 243 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_signal_emit (self, ag_widgets_polkit_dialog_signals[AG_WIDGETS_POLKIT_DIALOG_DONE_SIGNAL], 0);
#line 1115 "PolkitDialog.c"
}


static void ag_widgets_polkit_dialog_on_ident_changed (AgWidgetsPolkitDialog* self) {
	GtkTreeIter iter = {0};
	GtkComboBox* _tmp0_;
	GtkTreeIter _tmp1_ = {0};
	gboolean _tmp2_;
	GtkTreeModel* model = NULL;
	GtkComboBox* _tmp3_;
	GtkTreeModel* _tmp4_;
	GtkTreeModel* _tmp5_;
	GtkTreeModel* _tmp6_;
	GtkTreeModel* _tmp7_;
	GtkTreeIter _tmp8_;
#line 246 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_return_if_fail (self != NULL);
#line 249 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp0_ = self->priv->idents_combo;
#line 249 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp2_ = gtk_combo_box_get_active_iter (_tmp0_, &_tmp1_);
#line 249 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	iter = _tmp1_;
#line 249 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	if (!_tmp2_) {
#line 250 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		ag_widgets_polkit_dialog_deselect_session (self);
#line 251 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		return;
#line 1145 "PolkitDialog.c"
	}
#line 254 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp3_ = self->priv->idents_combo;
#line 254 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp4_ = gtk_combo_box_get_model (_tmp3_);
#line 254 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp5_ = _g_object_ref0 (_tmp4_);
#line 254 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	model = _tmp5_;
#line 255 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp6_ = model;
#line 255 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	if (_tmp6_ == NULL) {
#line 256 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_g_object_unref0 (model);
#line 256 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		return;
#line 1163 "PolkitDialog.c"
	}
#line 259 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp7_ = model;
#line 259 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp8_ = iter;
#line 259 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_tree_model_get (_tmp7_, &_tmp8_, 1, &self->priv->pk_identity, -1, -1);
#line 260 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	ag_widgets_polkit_dialog_select_session (self);
#line 246 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_g_object_unref0 (model);
#line 1175 "PolkitDialog.c"
}


static void ag_widgets_polkit_dialog_on_pk_session_completed (AgWidgetsPolkitDialog* self, gboolean authorized) {
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_;
#line 263 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_return_if_fail (self != NULL);
#line 264 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) self, TRUE);
#line 265 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp1_ = authorized;
#line 265 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	if (!_tmp1_) {
#line 265 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp0_ = TRUE;
#line 1192 "PolkitDialog.c"
	} else {
		GCancellable* _tmp2_;
		gboolean _tmp3_;
#line 265 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp2_ = self->priv->cancellable;
#line 265 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp3_ = g_cancellable_is_cancelled (_tmp2_);
#line 265 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp0_ = _tmp3_;
#line 1202 "PolkitDialog.c"
	}
#line 265 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	if (_tmp0_) {
#line 1206 "PolkitDialog.c"
		gboolean _tmp4_;
		GtkEntry* _tmp5_;
		GtkEntry* _tmp6_;
#line 266 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp4_ = self->priv->canceling;
#line 266 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		if (!_tmp4_) {
#line 267 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
			ag_widgets_polkit_dialog_on_pk_show_error (self, _ ("Authentication failed. Please try again."));
#line 1216 "PolkitDialog.c"
		}
#line 270 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		ag_widgets_polkit_dialog_deselect_session (self);
#line 271 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp5_ = self->priv->password_entry;
#line 271 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		gtk_entry_set_text (_tmp5_, "");
#line 272 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp6_ = self->priv->password_entry;
#line 272 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		gtk_widget_grab_focus ((GtkWidget*) _tmp6_);
#line 273 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		ag_widgets_polkit_dialog_select_session (self);
#line 274 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		return;
#line 1232 "PolkitDialog.c"
	} else {
#line 276 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		g_signal_emit (self, ag_widgets_polkit_dialog_signals[AG_WIDGETS_POLKIT_DIALOG_DONE_SIGNAL], 0);
#line 1236 "PolkitDialog.c"
	}
}


static void ag_widgets_polkit_dialog_on_pk_request (AgWidgetsPolkitDialog* self, const gchar* request, gboolean echo_on) {
	GtkEntry* _tmp0_;
	gboolean _tmp1_;
	const gchar* _tmp2_;
	gboolean _tmp3_;
#line 280 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_return_if_fail (self != NULL);
#line 280 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_return_if_fail (request != NULL);
#line 281 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp0_ = self->priv->password_entry;
#line 281 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp1_ = echo_on;
#line 281 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_entry_set_visibility (_tmp0_, _tmp1_);
#line 282 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp2_ = request;
#line 282 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp3_ = g_str_has_prefix (_tmp2_, "Password:");
#line 282 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	if (!_tmp3_) {
#line 1262 "PolkitDialog.c"
		GtkLabel* _tmp4_;
		const gchar* _tmp5_;
#line 283 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp4_ = self->priv->password_label;
#line 283 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		_tmp5_ = request;
#line 283 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		gtk_label_set_label (_tmp4_, _tmp5_);
#line 1271 "PolkitDialog.c"
	}
}


static void ag_widgets_polkit_dialog_on_pk_show_error (AgWidgetsPolkitDialog* self, const gchar* text) {
	GtkEntry* _tmp0_;
	GtkLabel* _tmp1_;
	const gchar* _tmp2_;
	GtkRevealer* _tmp3_;
#line 287 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_return_if_fail (self != NULL);
#line 287 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_return_if_fail (text != NULL);
#line 288 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp0_ = self->priv->password_entry;
#line 288 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_object_set (_tmp0_, "secondary-icon-name", "dialog-error-symbolic", NULL);
#line 289 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp1_ = self->priv->password_feedback;
#line 289 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp2_ = text;
#line 289 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_label_set_label (_tmp1_, _tmp2_);
#line 290 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp3_ = self->priv->feedback_revealer;
#line 290 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_revealer_set_reveal_child (_tmp3_, TRUE);
#line 291 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	ag_widgets_polkit_dialog_shake (self);
#line 1301 "PolkitDialog.c"
}


static void ag_widgets_polkit_dialog_shake (AgWidgetsPolkitDialog* self) {
	gint x = 0;
	gint y = 0;
	gint _tmp0_ = 0;
	gint _tmp1_ = 0;
	gint _tmp10_;
	gint _tmp11_;
#line 295 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_return_if_fail (self != NULL);
#line 297 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_window_get_position ((GtkWindow*) self, &_tmp0_, &_tmp1_);
#line 297 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	x = _tmp0_;
#line 297 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	y = _tmp1_;
#line 1320 "PolkitDialog.c"
	{
		gint n = 0;
#line 299 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		n = 0;
#line 1325 "PolkitDialog.c"
		{
			gboolean _tmp2_ = FALSE;
#line 299 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
			_tmp2_ = TRUE;
#line 299 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
			while (TRUE) {
#line 1332 "PolkitDialog.c"
				gint _tmp4_;
				gint diff = 0;
				gint _tmp5_;
				gint _tmp6_;
				gint _tmp7_;
				gint _tmp8_;
#line 299 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
				if (!_tmp2_) {
#line 1341 "PolkitDialog.c"
					gint _tmp3_;
#line 299 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
					_tmp3_ = n;
#line 299 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
					n = _tmp3_ + 1;
#line 1347 "PolkitDialog.c"
				}
#line 299 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
				_tmp2_ = FALSE;
#line 299 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
				_tmp4_ = n;
#line 299 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
				if (!(_tmp4_ < 10)) {
#line 299 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
					break;
#line 1357 "PolkitDialog.c"
				}
#line 300 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
				diff = 15;
#line 301 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
				_tmp5_ = n;
#line 301 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
				if ((_tmp5_ % 2) == 0) {
#line 302 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
					diff = -15;
#line 1367 "PolkitDialog.c"
				}
#line 305 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
				_tmp6_ = x;
#line 305 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
				_tmp7_ = diff;
#line 305 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
				_tmp8_ = y;
#line 305 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
				gtk_window_move ((GtkWindow*) self, _tmp6_ + _tmp7_, _tmp8_);
#line 307 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
				while (TRUE) {
#line 1379 "PolkitDialog.c"
					gboolean _tmp9_;
#line 307 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
					_tmp9_ = gtk_events_pending ();
#line 307 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
					if (!_tmp9_) {
#line 307 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
						break;
#line 1387 "PolkitDialog.c"
					}
#line 308 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
					gtk_main_iteration ();
#line 1391 "PolkitDialog.c"
				}
#line 311 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
				g_usleep ((gulong) 10000);
#line 1395 "PolkitDialog.c"
			}
		}
	}
#line 314 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp10_ = x;
#line 314 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp11_ = y;
#line 314 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	gtk_window_move ((GtkWindow*) self, _tmp10_, _tmp11_);
#line 1405 "PolkitDialog.c"
}


static void ag_widgets_polkit_dialog_on_pk_show_info (AgWidgetsPolkitDialog* self, const gchar* text) {
	const gchar* _tmp0_;
#line 317 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_return_if_fail (self != NULL);
#line 317 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_return_if_fail (text != NULL);
#line 318 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp0_ = text;
#line 318 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_info ("PolkitDialog.vala:318: %s", _tmp0_);
#line 1419 "PolkitDialog.c"
}


static gboolean ag_widgets_polkit_dialog_on_key_release (AgWidgetsPolkitDialog* self, GdkEventKey* key) {
	gboolean result = FALSE;
	GdkEventKey* _tmp0_;
	guint _tmp1_;
#line 321 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 321 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_return_val_if_fail (key != NULL, FALSE);
#line 322 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp0_ = key;
#line 322 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_tmp1_ = _tmp0_->keyval;
#line 322 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	switch (_tmp1_) {
#line 322 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		case GDK_KEY_KP_Enter:
#line 322 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		case GDK_KEY_Return:
#line 1441 "PolkitDialog.c"
		{
#line 325 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
			ag_widgets_polkit_dialog_authenticate (self);
#line 326 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
			result = GDK_EVENT_STOP;
#line 326 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
			return result;
#line 1449 "PolkitDialog.c"
		}
		default:
#line 322 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
		break;
#line 1454 "PolkitDialog.c"
	}
#line 329 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	result = GDK_EVENT_PROPAGATE;
#line 329 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	return result;
#line 1460 "PolkitDialog.c"
}


static void ag_widgets_polkit_dialog_class_init (AgWidgetsPolkitDialogClass * klass) {
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	ag_widgets_polkit_dialog_parent_class = g_type_class_peek_parent (klass);
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	g_type_class_add_private (klass, sizeof (AgWidgetsPolkitDialogPrivate));
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	((GtkWidgetClass *) klass)->show = (void (*) (GtkWidget *)) ag_widgets_polkit_dialog_real_show;
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	G_OBJECT_CLASS (klass)->finalize = ag_widgets_polkit_dialog_finalize;
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	ag_widgets_polkit_dialog_signals[AG_WIDGETS_POLKIT_DIALOG_DONE_SIGNAL] = g_signal_new ("done", AG_WIDGETS_TYPE_POLKIT_DIALOG, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 1475 "PolkitDialog.c"
}


static void ag_widgets_polkit_dialog_instance_init (AgWidgetsPolkitDialog * self) {
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	self->priv = AG_WIDGETS_POLKIT_DIALOG_GET_PRIVATE (self);
#line 30 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	self->priv->pk_session = NULL;
#line 31 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	self->priv->pk_identity = NULL;
#line 41 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	self->priv->canceling = FALSE;
#line 1488 "PolkitDialog.c"
}


static void ag_widgets_polkit_dialog_finalize (GObject * obj) {
	AgWidgetsPolkitDialog * self;
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, AG_WIDGETS_TYPE_POLKIT_DIALOG, AgWidgetsPolkitDialog);
#line 30 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_g_object_unref0 (self->priv->pk_session);
#line 31 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_g_object_unref0 (self->priv->pk_identity);
#line 40 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_g_free0 (self->priv->cookie);
#line 43 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_g_object_unref0 (self->priv->feedback_revealer);
#line 44 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_g_object_unref0 (self->priv->password_label);
#line 45 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_g_object_unref0 (self->priv->password_feedback);
#line 46 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_g_object_unref0 (self->priv->password_entry);
#line 47 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_g_object_unref0 (self->priv->identity_label);
#line 48 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	_g_object_unref0 (self->priv->idents_combo);
#line 27 "/builddir/build/BUILD/pantheon-agent-polkit-0.1.4/src/PolkitDialog.vala"
	G_OBJECT_CLASS (ag_widgets_polkit_dialog_parent_class)->finalize (obj);
#line 1516 "PolkitDialog.c"
}


GType ag_widgets_polkit_dialog_get_type (void) {
	static volatile gsize ag_widgets_polkit_dialog_type_id__volatile = 0;
	if (g_once_init_enter (&ag_widgets_polkit_dialog_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (AgWidgetsPolkitDialogClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) ag_widgets_polkit_dialog_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (AgWidgetsPolkitDialog), 0, (GInstanceInitFunc) ag_widgets_polkit_dialog_instance_init, NULL };
		GType ag_widgets_polkit_dialog_type_id;
		ag_widgets_polkit_dialog_type_id = g_type_register_static (gtk_dialog_get_type (), "AgWidgetsPolkitDialog", &g_define_type_info, 0);
		g_once_init_leave (&ag_widgets_polkit_dialog_type_id__volatile, ag_widgets_polkit_dialog_type_id);
	}
	return ag_widgets_polkit_dialog_type_id__volatile;
}



